Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154418 - Make early-login work with firstboot
Summary: Make early-login work with firstboot
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC4Target 154413
TreeView+ depends on / blocked
 
Reported: 2005-04-11 16:13 UTC by Matthias Clasen
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-15 17:22:58 UTC


Attachments (Terms of Use)
firstboot-1.3.39-early-login.patch (deleted)
2005-04-14 16:39 UTC, Matthias Clasen
no flags Details | Diff
the initscript (deleted)
2005-04-14 19:23 UTC, Matthias Clasen
no flags Details

Description Matthias Clasen 2005-04-11 16:13:22 UTC
Firstboot needs an X server. Two possible fixes are

- cheat and don't do early-login on the first boot, by looking at 
  the stamp file which firstboot uses for that purpose.

- make firstboot start an X server

Comment 1 Matthias Clasen 2005-04-14 16:37:33 UTC
It turns out that firstboot already contains code to start an X server, it just
needs some little fixes, and then firstboot can just be moved earlier in the
boot sequence. 

Comment 2 Matthias Clasen 2005-04-14 16:39:13 UTC
Created attachment 113164 [details]
firstboot-1.3.39-early-login.patch

Comment 3 Matthias Clasen 2005-04-14 19:21:13 UTC
Ok, scratch that. Firstboot needs network.
Here is a modified gdm-early-login initscript which simply bails out if it finds
that firstboot will run.

Comment 4 Matthias Clasen 2005-04-14 19:23:24 UTC
Created attachment 113181 [details]
the initscript

Comment 5 Matthias Clasen 2005-04-15 17:22:58 UTC
Should be fixed in gdm-2.6.0.8-4.


Note You need to log in before you can comment on or make changes to this bug.